<?php
include '../config.php';
include '../func.php';
head();
aut();
ban();
echo head . 'Фото-подборки' . div;
//грабим
$host= "pda.fishki.net";
$path="/index.php?".$_SERVER['QUERY_STRING'];
$fp=fsockopen($host,80,$errno, $errstr,10);
if(!$fp) { echo "$errstr ($errno)<br/>\n"; }else{
$data = "";
$post=0; foreach($_POST as $key=>$value){
$post=1; $data.="&$key=$value";} if($data)$data=substr($data,1);
if($post) $headers = "POST $path HTTP/1.0\r\n";else
$headers = "GET $path HTTP/1.0\r\n"; $headers .= "Host: $host\r\n";
$headers .= "Accept: text/html, application/xml;q=0.9, application/xhtml+xml, image/png, image/jpeg, image/gif,image/x-bitmap, */*;q=0.1\r\n";
$headers .= "Accept-Charset: utf-8;q=0.6 windows-1251;q=0.1*;q=0.1\r\n";
$headers .= "Accept-Encoding: utf-8\r\n";
$headers .= "Accept-Language: ru, en;q=0.9\r\n";
$headers .= "User-Agent: ".$_SERVER['HTTP_USER_AGENT']."\r\n";
if($post){ $headers .= "Content-type: application/x-www-form-urlencoded\r\n";
$headers .= "Content-Length: ".strlen ($data)."\r\n";
$headers .= "\r\n"; $headers .= $data;}else $headers.="\r\n";
@fwrite($fp, $headers); while($file != "\r\n") $file = @fgets($fp, 128);
$file = ''; while(!feof($fp)) $file .= @fgets($fp, 4096); @fclose($fp); }
################
$file=preg_replace('|<!DOCTYPE(.*?)<div class="post">|si','',$file);

$file = preg_replace('|<script(.*?)>|si','<div class="katalog">',$file);
$file=preg_replace('|<div class="counters">(.*?)</html>|si','',$file);
//кодировка
$file=iconv("windows-1251", "UTF-8", $file);
//заменяем дивы
$file=str_replace('<div class="fotocontext2">','<div class="katalog">', $file);
$file=str_replace('<div class="title">','<div class="clouds">', $file);
//тут пишем свою папку вместо 1fis если надо
$file=str_replace('comment.php','pict/comment.php', $file);
//меняем адрес на свой
$file=str_replace('pda.fishki.net',''.$_SERVER['HTTP_HOST'].'', $file);
//убираем рекламу и херню
$file=str_replace('На большие фишки','', $file);
$file=str_replace('Демотиваторы Фишки.Нет','<a href="http://'.$_SERVER['HTTP_HOST'].'">'.$_SERVER['HTTP_HOST'].'</a>', $file);

//выводим результ
echo $file;
//подключаем ножки

navig();
foot();
?>